### Function

# Vips g_thread_new

#### Declaration [src]

    GThread*
    vips_g_thread_new (
      const char* domain,
      GThreadFunc func,
      gpointer data
    )

#### Description [src]

Wrapper for `g_thread_try_new()`.

#### Parameters

`domain`

  Type: `const char*`

  An (optional) name for the new thread.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`func`

  Type: `GThreadFunc`

  A function to execute in the new thread.

`data`

  Type: `gpointer`

  An argument to supply to the new thread.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GThread`

The new `GThread`, or `NULL` if an error occurred.

The caller of the function takes ownership of the data, and is responsible for freeing it.